From 8596718d2ecdabafe351aa8a7076fec39f6fcd2c Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 10 Aug 2017 23:33:47 -0400
Subject: [PATCH 4/9] Add PostgreSQL version to coverage output

Also make overriding the title easier.  That helps telling where the
report came from and labeling different variants of a report.
---
 src/Makefile.global.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index 70e92ee800..554e72b8ee 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -875,6 +875,8 @@ ifeq ($(enable_coverage), yes)
 
 LCOV += --gcov-tool $(GCOV)
 LCOVFLAGS = --no-external
+GENHTML_FLAGS = --show-details --legend
+GENHTML_TITLE = PostgreSQL $(VERSION)
 
 gcno_files = $(shell find . -name '*.gcno' -print)
 
@@ -888,7 +890,7 @@ lcov_test.info: $(gcda_files)
 
 coverage-stamp: lcov_base.info lcov_test.info
 	rm -rf coverage
-	$(GENHTML) --show-details --legend --output-directory=coverage --title=PostgreSQL --num-spaces=4 --prefix=$(abs_top_srcdir) $^
+	$(GENHTML) $(GENHTML_FLAGS) -o coverage --title='$(GENHTML_TITLE)' --num-spaces=4 --prefix='$(abs_top_srcdir)' $^
 	touch $@
 
 .PHONY: coverage coverage-html
-- 
2.14.0

